net.dontdrinkandroot.visualization.examples.odem

## Class Dependency

- java.lang.Object
- - net.dontdrinkandroot.visualization.examples.odem.Dependency

    public class Dependency
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Dependency(int id, String classification)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`String` `getClassification()`
`int` `getId()`
`int` `hashCode()`
`void` `setClassification(String classification)`
`void` `setId(int id)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Dependency

    public Dependency(int id,
              String classification)

### Method Detail

#### getClassification

    public final String getClassification()

#### getId

    public final int getId()

#### setClassification

    public final void setClassification(String classification)

#### setId

    public final void setId(int id)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`